typedef struct allocator *Allocator;
Allocator make_block_allocator(size_t size, int merge);
void *block_alloc(Allocator a);
void block_free(Allocator a, void *mem);
void destroy_block_allocator(Allocator a);
